Class SegmentationTool

Declaration :

- C++ : class SegmentationTool : public BuilderTool, public Applicable<>

Tool implementation for deriving a partitioning of the current timeline such, that each segement has a constant configuration. "Constant" means here, that any remaining changes over time can be represented by automation solely, without the need to change the node connections.

Artifact : segmentationtool

Operation treat

Declaration :

- Uml : + treat(in something : Buildable) : void
- C++ : public: void treat (const Buildable& something)

Operation treat

Declaration :

- Uml : + treat(in clip : Clip) : void
- C++ : public: void treat (const Clip& clip)

Operation treat

Declaration :

- Uml : + treat(in effect : Effect) : void
- C++ : public: void treat (const Effect& effect)

Relation segments (<directional aggregation by value>)

Declaration :

- Uml : # segments : Segment, multiplicity : *
- C++ : protected: list<Segment> segments

the partitioning of the Timeline to be created by this tool.

All public operations : treat , treat , treat , treat , treat